package alx.p40_io;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Reader;
import java.io.Writer;

public class Kopiuj3 {
	
	public static void kopiuj(String wejscie, String wyjscie) {
		try(Reader is = new FileReader(wejscie);
			Writer os = new FileWriter(wyjscie)) {
			 
			 int licznik = 0;
			 int znak;
			 while((znak = is.read()) != -1) {
				 os.write(znak);
				 //System.out.println(znak);
				 licznik ++;
			 }
			System.out.println(licznik);
			
		} catch (FileNotFoundException e) {
			System.out.println("Plik nie znaleziony "+e.getMessage());
		} catch (IOException e) {
			System.out.println("Błąd wej/wyj "+e.getMessage());
		}
	}
	

	public static void main(String[] args) {
		kopiuj("pan-tadeusz.txt", "kopia3.txt");
		
		System.out.println("Koniec kopiowania");
	}

}
